loci.formats.in

## Class IM3Reader.IM3Record

- java.lang.Object
- - loci.formats.in.IM3Reader.IM3Record

- Direct Known Subclasses:
    IM3Reader.BooleanIM3Record, IM3Reader.ContainerRecord, IM3Reader.FloatIM3Record, IM3Reader.IntIM3Record, IM3Reader.StringIM3Record
  Enclosing class:
    IM3Reader

      protected static class IM3Reader.IM3Record
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `length`
    `(package private) java.lang.String` | `name`
    `(package private) long` | `offset`
    `(package private) int` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IM3Record(java.lang.String name, int type, long offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `void` | `writeSummary(loci.common.IRandomAccess is, java.lang.String indentation)` Write a summary of the contents of the record

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          final java.lang.String name

    - #### type

          final int type

    - #### offset

          final long offset

    - #### length

          final int length

  - ### Constructor Detail

    - #### IM3Record

          IM3Record(java.lang.String name,
                    int type,
                    long offset,
                    int length)

  - ### Method Detail

    - #### writeSummary

          public void writeSummary(loci.common.IRandomAccess is,
                                   java.lang.String indentation)
                            throws java.io.IOException

      Write a summary of the contents of the record
      Parameters:
        `is` -
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment